CREATE TABLE country (
  id          BIGINT GENERATED BY DEFAULT AS IDENTITY,
  uuid        VARCHAR(255),
  name        VARCHAR(255),
  fixed_costs INTEGER,
  tax         FLOAT,
  currency_id BIGINT,
  PRIMARY KEY (id)
);
CREATE TABLE currency (
  id   BIGINT GENERATED BY DEFAULT AS IDENTITY,
  uuid VARCHAR(255),
  code VARCHAR(255),
  mid  FLOAT NOT NULL,
  name VARCHAR(255),
  PRIMARY KEY (id)
);
ALTER TABLE country
  ADD CONSTRAINT FK_COUNTRY_CURRENCY FOREIGN KEY (currency_id) REFERENCES currency;
